Bug 208149 - Kernel panic when NFS request comes
Kernel panic when NFS request comes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 13:05 EDT by Göran Uddeborg
Modified: 2015-01-04 17:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 02:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace as given by "crash" (2.74 KB, text/plain)
2006-09-26 13:05 EDT, Göran Uddeborg
no flags Details

  None (edit)
Description Göran Uddeborg 2006-09-26 13:05:01 EDT
Description of problem:
The most recent FC6 kernel crashes for me as soon as an NFS request comes in
from a client.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2187_FC5.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. On a client, access any file mounted by NFS from the server that crashes

Actual result:
Kernel panic

Additional info:
I do not have this problem with kernel-2.6.17-1.2174_FC5.x86_64, it came with
the latest update.

Not every userspace program is completely up-to-date, but I believe relevant
packages are.  In particular, I do have nfs-utils-1.0.8-3.fc5.x86_64.  (And of
course everything the kernel RPM required.)

I used kdump and attach a backtrace.  (Read using crash from FC6T3, the one in
FC5 I got the "cannot resolve cpu_pda" error mentioned in the entry for 4.0-2.20
in http://people.redhat.com/anderson/crash.changelog.html)
Comment 1 Göran Uddeborg 2006-09-26 13:05:01 EDT
Created attachment 137151 [details]
Backtrace as given by "crash"
Comment 2 Steven Shiau 2006-09-26 22:49:51 EDT
I comfirmed this bug. I have a i386 FC5 with updated kernel
kernel-smp-2.6.17-1.2187_FC5, and when NFS client accesses any file mounted from
the server, the NFS server crashes.
kernel-smp-2.6.17-1.2174_FC5 works without any problem.
Comment 3 Dave Jones 2006-09-27 01:58:14 EDT
Can you retry this with the 2.6.18 kernel from updates-testing ?
There were quite a few GSO fixes in that kernel, which may fix this.
Comment 4 Göran Uddeborg 2006-09-27 16:41:45 EDT
I don't see the problem any more with 2.6.18-1.2189.fc5. :-)  I've only been
running it for a couple of minutes, but it seems to run just fine.
Comment 5 Steven Shiau 2006-10-11 02:15:10 EDT
No problem here for kernel 2.6.18-1.2189.fc5smp.
Comment 6 Dave Jones 2006-10-16 14:52:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Göran Uddeborg 2006-10-17 05:21:07 EDT
2.6.18-1.2200.fc5 looks good.

Note You need to log in before you can comment on or make changes to this bug.